Bug 1478243 - nodectl traceback: AttributeError: Status instance has no attribute 'lower'
nodectl traceback: AttributeError: Status instance has no attribute 'lower'
Status: CLOSED CURRENTRELEASE
Product: ovirt-node
Classification: oVirt
Component: General (Show other bugs)
4.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.1.5
: 4.1
Assigned To: Ryan Barry
Ryan Barry
http://jenkins.ovirt.org/job/ovirt_ma...
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 01:51 EDT by Sandro Bonazzola
Modified: 2017-08-23 04:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: ovirt-node-ng-4.1-20170803
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:04:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
rule-engine: ovirt‑4.2+
cshao: testing_ack+


Attachments (Terms of Use)
Logs from the jenkins job, in case they'll be wiped before checking this (1.20 MB, application/zip)
2017-08-04 01:51 EDT, Sandro Bonazzola
no flags Details
Logs from 4.1 job (1.21 MB, application/zip)
2017-08-04 01:54 EDT, Sandro Bonazzola
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80046 None None None 2017-08-04 02:58 EDT

  None (edit)
Description Sandro Bonazzola 2017-08-04 01:51:17 EDT
Created attachment 1308893 [details]
Logs from the jenkins job, in case they'll be wiped before checking this

Description of problem:
2017-08-04 01:24:10,745Z ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.EE-ManagedThreadFactory-engine-Thread-2) [1027e346] EVENT_ID: VDS_INSTALL_FAILED(505), Host lago-image-ng-suite-master-node2 installation failed. Unexpected error during execution: Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/site-packages/nodectl/__main__.py", line 42, in <module>
    CliApplication()
  File "/usr/lib/python2.7/site-packages/nodectl/__init__.py", line 200, in CliApplication
    return cmdmap.command(args)
  File "/usr/lib/python2.7/site-packages/nodectl/__init__.py", line 118, in command
    return self.commands[command](**kwargs)
  File "/usr/lib/python2.7/site-packages/nodectl/__init__.py", line 102, in motd
    machine_readable=True).output, self.machine).write()
  File "/usr/lib/python2.7/site-packages/nodectl/status.py", line 51, in __init__
    self._update_info(status)
  File "/usr/lib/python2.7/site-packages/nodectl/status.py", line 78, in _update_info
    if "ok" not in status.lower():
AttributeError: Status instance has no attribute 'lower'

Failure found in http://jenkins.ovirt.org/job/ovirt_master_image-ng-system-tests/195/
Comment 1 Sandro Bonazzola 2017-08-04 01:53:34 EDT
Failure found on 4.1 as well: http://jenkins.ovirt.org/job/ovirt_4.1_image-ng-system-tests/202/
Comment 2 Sandro Bonazzola 2017-08-04 01:54 EDT
Created attachment 1308894 [details]
Logs from 4.1 job
Comment 3 cshao 2017-08-04 02:47:35 EDT
Ryan,

This is an automation bug in jenkins job, so could you help to verify this bug once it was fixed?
If so, I will change QA Contact to you.

Thanks.
Comment 4 Ryan Barry 2017-08-04 02:58:32 EDT
Sure. we'll verify the automation.

A fix merged today, so it will be soon.
Comment 5 cshao 2017-08-20 22:39:01 EDT
Ryan,

Could you help to verify this bug?

Thanks.
Comment 6 Ryan Barry 2017-08-21 08:08:32 EDT
The patch is present in the latest RHVH build, so this is ok.

Note You need to log in before you can comment on or make changes to this bug.